BTN Tips/Tricks/Ideas (Part I)



FastCounter by bCentral


LOCATE VIEWS IN MODEL SPACE R14/ R2000 (by BTN)
HOW TO USE MEET NOW IN R2000? (by BTN)
HOW TO EDIT LARGE NOTES IN R14 BY USING WORD PAD? (by BTN)
HOW TO LOCK A VIEWPORT IN R14? (by BTN)
TRICK WITH MTEXT in AutoCAD R14 (by BTN)
SMART DRAWING - PART II (by BTN)
SMART DRAWINGS (by BTN)
DRAG AND DROP (by BTN)
BACKGROUND RUSTER IMAGES (by BTN)
HOW TO START MORE THAN 1 DRAWING IN R14 (by BTN)
COPY/PASTE & OTHER WINDOWS TIPS FOR AutoCAD R14/R200 (by BTN)
LARGE AMOUNT OF NOTES in R13/R14 (by BTN)
RASTER IMAGE INSERT (by BTN)
UCS (by BTN)
BLIPMODE (by BTN)
BATCH PLOTTING (by BTN)
CONTROL YOUR PREFERENCES FROM AUTOLISP (by BTN)
ADDING PARTIAL MENU WITH AUTOLISP (by BTN)
RESCALING (by BTN)
CREATING BLOCKS (by BTN)
HOW TO DRAW A LINE PERPENDICULAR FRO MAN ARC' SEND?
TRIM TRICK
EXTEND TRICK
CHANGE PROPERTIES
DESIGN CENTER TRICK (by BTN)
IF YOU ARE ON NETWORK (by BTN)
MANAGING XREF'S (by BTN)
DIMMENSION STYLES and FIXED HIGHT FONTS STYLES (by BTN)
QUICKLY SNAPPING TO THE MIDDLE BETWEEN ANY TWO OSNAP PINTS. (by Troy Willett)

If you have good tips/tricks/ideas you want to shear with others I can place them here
with refferences and full compliments to you.






LOCATE VIEWS IN MODEL SPACE R14/ R2000 (by BTN)
If you have several vieports in paper space taken of a large drawing and you
have no idea where those areas are located in model space,
while in Paper space at command prompt type MS, click on desired vieport'
at command prompt, type VIEW, S, VIEWNAME (wherte VIEWNAME is any name you wont).
Than switch to MODEL SPACE.
At command prompt type VIEW, R, VIEWNAME - and you are in desired area in
model space, or use simple lisp

(defun c:msp ()
(setq cm (getvar "cmdecho"))
(setvar "cmdecho" 0)
(command"view" "d" "tmp")
(setvar "tilemode" 0)
(command"pspace")
(princ "Click TWICE on desired VPORT: ")
(command "mspace" pause "view" "s" "tmp")(princ)
(setvar "tilemode" 1)
(command "view" "r" "tmp")
(setvar"cmdecho" cm)
(princ)
)
Back to the Top
HOW TO USE MEET NOW IN R2000? (by BTN)
If You do not have R2000i, you still can use meetnow.autodesk.com server to
get connected. If you have NetMeeting installed on your computer just set it to start in
meetnow.autodesk.com. Open your R2000 drawing you need to discus with collogues and open
NetMeeting (make connection with your counterpart). Now you can use white board to cut and
paste parts of your drawing (use PRINTSCREEN key for that) or any other
document. You can use microphone or video if it is installed.
Back to the Top
HOW TO EDIT LARGE NOTES IN R14 BY USING WORD PAD? (by BTN)
If you need (in R14) to edit large amounts of notes (in MTEXT) and you can't see them in MTEXT
edit windows. You can use WORD PAD (provided with standard Windows installation)
First locate acad.pgp file and edd to it this line-> EDIT, START WORDPAD, 1,File to edit: ,
Than in AutoCAD drawing at command prompt type line (setvar "MTEXTED" "WORDPAD")
Now if you use ED command it will start MTEXT edit in Word Pad. If you use NotePad you may loose
linebreaks and your notes may look different from original. To set defoult MTEXT editor type
at command line (setvar "MTEXTED" "INTERNAL")
Back to the Top
HOW TO LOCK A VIEWPORT IN R14? (by BTN)
To prevent accidental erasing of a viewport, unwonted zooming or panning in the viewports -
you can do couple of things. After drawing is completed - lock the viewport
layer (assuming that you have special layer for all yours viewports), that will
prevent an accidental erasing of a viewport. If you want to prevent accidental
zooming or panning - while in PSPACE, copy desired viewport somewhere close, make the
copied viewport an active, and freeze all layers in it. Than move it exactly
over the original viewport. Now (until empty viewport erased) nobody can zoom or pan
in that viewport.
Back to the Top
TRICK WITH MTEXT in AutoCAD R14 (by BTN)
While using MTEXT in AutoCAD R14, I've encounter annoying situation when working
with long and larger notes. Text does not fit in standard AutoCAD
text editor window (I wish I was in R2000). You can use a little trick to fit more text
in the window. Use ED command, select text, right click in editor
window and pick SELECT ALL. When all text highlighted - change
height of text 2-3 times higher than current value. Accept it.
Select same text again and repeat procedure again, but this time change
text height to original high - double click in editors window and more
text will appear for you to edit. OK when done.
Back to the Top
SMART DRAWING - PART II (by BTN)
There is new command in AutoCAD R2000 REFEDIT, on the first glance for old times
AutoCAD users it seems a bit dangerous. If everybody can edit XREF drawings from inside current drawing,
that can lead to disaster. But there are some ways to protect XREF from unwonted editing.
First of all you can uncheck box that allow inserting XREF as a copy. That way only one person can edit it.
Secondly you can put all entities in XREF on locked layers (or lock all layers in the drawing).
But most interesting part starts if you leave certain XREFS editable. For example you have large
plan and need to develop several details from it, the other word - use different portions in different scale.
In this case REFEDIT command in conjunction with also new in R2000 capabilities of creating odd shape
VPORTS in PSPACE becomes very useful. XREF plan into new drawing, Create details from it in PSPACE,
using odd shape VPORTS and different scale magnification such as 1/20 XP, 1./50 XP and so forth.
Switch to PSPACE, set DIMSCALE to "0" (zero), place dimensions and callouts for each detail.
Now you have your new drawing linked to MASTER PLAN. Now you can change MASTRER PLAN
and see differences in your new drawing (nothing new so far) or you can use REFEDIT (add, rem, refclose)
to make changes in the drawing and safe them into MASTER PLAN (that is NEW STUFF).
However it is require some extra work, simply put it, to organize files in non traditional way. When several
MASTER DRAWINGS are parent to large number of contract documents. Some times with a lots of
changes during project development it is helpful and can save time.

Back to the Top

SMART DRAWINGS (by BTN)
You can create smart drawings if you are using AutoCAD 2000. Just use HYPERLINK command
to link your drawings together. For example on the PLAN drawing you have sections marked with
standard for the project Section Marks and all actual sections are shown on other sheets. Assuming
that all project drawings are in the same working directory - you can use a little trick.
Step 1 - go to drawing (drawings) where sections are shown, and create a view around each section.
say related to Section A View named "A" related to Section B - "B" and so on.
Step 2 - return to the PLAN drawing and attach HYPERLINK to each Section Mark. Type HYPERLINK
at command prompt, save the drawing, tuch Section Mark and fill out the Dialog box as shown on the
picture below

Then select OK. Repeat that procedure for each Section Mark. Now you can jump from PLAN
to any sections that required.
You can repeat the same steps going backwards from SECTIONS to correct spots on the PLAN.
So you can jump back and forward as needed. Sections can be located on different drawings.
Back to the Top

DRAG AND DROP (by BTN)
AutoCAD is now windows application, there for some basic windows tricks are working in a very
interesting and unexpected way. If you open Windows Explorer and AutoCAD you can drag and drop into
Autocad - lisp, vlisp and arx files from windows explorer and they will be automatically loaded and ready
to invoke. You can also drag and drop in the same fashion script files - AutoCAD will automatically
run them, so you can save few command strokes. You can also drag and drop files with mnu/mns/mnc
extensions but I will reccomend it for expert users - it will totally and immediately override your
existing menu settings. It is however useful if for some reason your menu setting are lost anyway -
in that case it will instantly set your menu including all puldowns, which you have to do
manually otherwise.
Drag from your desktop any icon shortcut to windows application like Word, Excell, Access or WordPad/Notepad
into opened AutoCAD - little icon will appier - doubleclick on it will start that application. It can be saved with the
drawing and initiated later on. I Drag and drop Excell file which was shortcut to project drawing list and saved it
with the index drawing for the project.
You can perform cut/copy/paste in AotoCAD OPEN (or INSERT) dialog box just like in Windows Explorer,
the beauty is that you are dealing only with drawings files, and you can move/delite ore copy them from
one folder to enother and as a plus you can preview them as you go.
Back to the Top

BACKGROUND RUSTER IMAGES (by BTN)
If you need to use scanned raster image of old manual drawing as a background for new
AutoCAD drawing - white background can be a problem, just becouse new stuff is not
clear or you need to plot in black and white..... You can fix that in a few simple steps.
Bring your image into any photo editing program such as PhotoShop or even one of those free
photo editing programs you can download from TUCOWS.COM, save it as negative (or invert colors)
image (tif, jpg, gif or bmp format), than insert in AutoCAD - you have image which looks more
like you just draw it yourself.....
Back to the Top

HOW TO START MORE THAN 1 DRAWING IN R14 (by BTN)
To do that associate DWG files with acad.exe %1 (or if you start with bat/cmd file - reassociate
DWG files with it, do not forget %1 after acad.exe). Then open Windows Explorer, or create shortcut
to desired folder (highlight desired folder - right click - create shortcut - drug it to the desktop) -
highlight one ore more drawings and dobleclick (or right click-open). Windows will start as many
AutoCAD sessions (drawings) as were highlited.
Back to the Top

COPY/PASTE & OTHER WINDOWS TIPS FOR AutoCAD R14/R200 (by BTN)
This tip work for R2000 - you can open more than one drawing at the same time...
From FILE pulldown (or from command prompt) start OPEN dialog box. While
holding CTRL key select two or more drawings you wish to start and press OPEN
button when finished (just like you would do in Windows Explorer) - AutoCAD will load
all selected drawings. Hit TAB key while holding CTRL key - that will switch you between
open drawings every time you hit TAB key.
Next few tips will work with both R14 and R2000... If you working with
the drawing wit bunch of XREF files, and you need to open one of those XREF's
to edit, and you do not know exactly the directory where it is located - use a little trick......
First initiate XREF MANAGER (type XREF at command prompt or select it from
puldown menu), find and highlight desired XREF, down below in XREF LOCATION
(PATH for R14) box you will see full path and XREF name. Highlight it with your mouse,
click right button and select COPY. Than initiate OPEN dialog box, in FILE NAME box
click right button again and PASTE... press OPEN button and it is done.
If you do not remember the XREF name and you know that it is in current directory -
initiate LIST command and select xref from the screen. In text window find XREF's name
and hughlight it, click right button COPY, initiate OPEN dialog box, in FILE box right click,
PASTE, press OPEN button (or press ENTER) and drawing is opened.
You can use COPY/CUT/PASTE in most AutoCAD dialog boxes, you can experiment
with Attribute Edit Dialog Box, MTEXT dialog box and so on, for moving text around.
You can CUT/COPY text from any text file outside AutoCAD and paste it into your
drawing - it will become MTEXT and assume current text settings. And so on and so forth...
The only limits are - your imagination and size of the clipboard.
Back to the Top

LARGE AMOUNT OF NOTES in R13/R14 (by BTN)
You can use NOTEPAD, WORD, WORD PERFECT or any other window based editor to create your notes.
Run it with ACAD at the same time. After you done with creating notes (or opening existing file) select
them all and copy to the clipboard. Switch to AutoCAD and use SPECIAL PASTE pull down and select TEXT....
It will become MTEXT and will assumed current text style/hight/layer and can be edited
later as MTEXT - nice and easy. Maybe not the best way to do it but... still Better Than Nothing.
The other way is - first higlight the notes (in your text editor) and copy them to clipboard,
than in Autocad open Mtext editor and paste from clipboard strait into it - works even better.
Back to the Top

RASTER IMAGE INSERT (by BTN) -- in R14 you can insert raster image very easy to specific scale, but if
you need to insert it in with different X and Y scale you have to do a little Better Than Nothing trick.
After insertion either create a block from inserted image (keep frame ON) or cutclip to clipboard
and insert (paste) with different X and Y scales...........
Back to the Top

UCS (by BTN) -- it is a good idea to keep UCS ICON ON, there for you always know if your coordinat system
are real world coordinates, and also it will give quick idea where are you PSPACE or MSPACE.
On the top of everything it allows you to do precise drafting, by changing the UCS, like rotating
paper in "good old days of manual drafting" -- at command prompt type UCS, select E (by entity
or any other method), pick entity. UCS will follow selected entity, type at command prompt PLAN
and hit ENTER (to acsept WORLD) and the drawing will be "twisted" along selected entity, and
still remain world coordinates . To UNDO that process at command prompt type PLAN and press
enter couple of times.
And this tip is from one of the visitors to this page his name is Rodney -
"One reason most people don't keep there ucs icon turned on is because it blends in with there
drawing. Here's a neat trick change the variable that retains the color of your ucs to something
a liittle less common than white. I believe it's the xor color in pref." R.E.
Back to the Top

BLIPMODE (by BTN) -- some people keep it OFF, I like it ON, that helps to backtrack steps taken, for
example if I ID point , I still can tell where I picked and so on, and it is so easy to get rid of
those BLIPS -- just hit F7 key couple of times.
Back to the Top

BATCH PLOTTING (by BTN) - if you have R14, it is given, you have it , but if you are in R12/R13? I hope you
know the old trick of using script file to plot all your drawings. If you don't - here are some tips how
to do it. First set it plot to a file and all parameters (pcp files and all that good stuff ) manually
and send one plot to test if it looks good. Than create script file - call it PLT.SCR or something like that.
There is an example for typical line using LIMITS to plot PLOT DRAWINGNAME L N DRAWINGNAME
for each drawing.
And if you have XTGOLD (for DOS) you can do it automatically. In XTREE tag all drawings you need
to plot . Hit CTRL+B type PLT.SCR for batch file name, and PLOT %4 L N %4 for batch mask, and you
have your plotting script done, however if you do not have "good old dos XTREE" you have to do it
manually. Than be sure that you delete all old plot files from the directory. Than run AutoCAD in
freeplot mode and either supply script file name with it or run script command from command prompt.
When plotting is done (it can take a while - depends on the speed of your computer) be sure that
plotter is connected to LPT1 (or LPT2) directly or through local network. Than shell to DOS.
At the DOS prompt (in the directory where plot files are) type COPY *.PLT LPT1 (or LPT2). Than go
and pick up your plots.... It is not as good as R14, but it is for sure BTN - Better Than Nothing.
This trick make my boss happy every time ......... :)
Back to the Top

CONTROL YOUR PREFERENCES FROM AUTOLISP (by BTN) - yes you can do that using undocumented
AutoLISP functions (brief discriptions how they work you can find in R14.01 online help) GETENV
and SETENV. First open (create one if you do not have any) any PROFILE.ARG file to see what environmental
variables look like. You can set them (setenv "ACAD" "c:\\acad 14\\;autocad r14\\support\\;...c:\\mydirectory\\")
and you will see the difference in your prefferences pull down.
Remember this stuff is case sensetive, and variables MUST LOOK exactly as they look in typical ARG file.
Back to the Top

ADDING PARTIAL MENU WITH AUTOLISP (by BTN) - you can add partial menues using very
simple AutoLISP routine
(defun c:lm ()
(command "_.menuload" "your.mnu")
(menucmd "P12=+your.POP15")
)
where your.mnu is menu file you wont to attach and P12 will place it at puldown bar at puldown 12
spot. You can substitute it with any place you want to put it. I call your.pop15 just becouse my sample menu
was **pop15 but you have to substitute using your code.

REMOVE PARTIAL MENU (by BTN) - use this simple line of code in your lisp routine
(menucmd "your.pop15=-")
Back to the Top

RESCALING (by BTN)
When you need to rescale your drawing , say from decimal to architectural scale units, or convert
from architectural to metric you can use a simple trick to avoid precision mistake if you are using your
calculator. First find an object on the drawing with the known length, than measure it using what
is appropriate (distance command or list it). Than use command SCALE, choose R for reference,
input the value you just measure, press enter and input known dimention and you are done.
Back to the Top

CREATING BLOCKS (by BTN)
When creating blocks it is good to keep in mind what you want them to be when they are inserted.
For example if you want all block entities to enherite color and linetypoe of the layer tyou are inserting
them on you should change all entities in the block (when creating) - color to BYBLOCK and linetype to
BYBLOCK. If you want block keep their colors and linetypes - change all entities colors and linetypes
individually BYENTYTY and put all of them on Layer 0.
Back to the Top

HOW TO DRAW A LINE PERPENDICULAR FRO MAN ARC' SEND?
The tip from Patrick EMIN from France - e-mail to pemin@club-internet.fr
1/ Set a permanent snap mode extremity+centre
2/ Draw the line from an extremity of the arc
3/ move the cursor on the centre of the arc, but don't click
4/ type in the length of the line, in negative mode (-50 for a length of 5)
Back to the Top

TRIM TRICK
Tip from Ty - e-mail to TnKKawaha@aol.com
When using trim command, to quickly get on with chopping lines, just hit
enter when prompted to select cutting edge. Then, just start picking the
lines you want trimmed. Everything is a cutting plane when trim is used this way!
Back to the Top

EXTEND TRICK
Tip from C. HOLT - e-mail to HoltinLB@aol.com
When using extend command, to quickly get on with chopping lines, just hit
enter when prompted to select extending edge. Then, just start exstending the
lines you want extended. Everything is a extending plane when extend is used
this way!
Back to the Top

CHANGE PROPERTIES
Tip from Dave Allison (SVERDRUP INC.)
To change quickly COLOR, LAYER or LTYPE simply use GRIPS to highlight desired
objects, than go to the top bar or where you have your quick layer (color or ltype) puldown,
select desired layer (color or ltype) and than hit ESCAPE couple of times and you are done.
Back to the Top

DESIGN CENTER TRICK (by BTN)
If you have large libraries of blocks collected over the years, and not all of rhem are saved
in R13/R14/R2000 format, you can avoid converting them by utilizing DESIGN CENTER in
AutoCAD 2000 or Autocad Light 2000.
For example if you have STRUCTURAL and ELECTRICAL libraries of blocks.
Create new drawings STRUCTUEAL.DWG insert all yours related blocks in that drawing,
create most common TEXT and DIMENSION styles. Do the same steps for other libraries.
Now you are redy to use blocks in R200, initiate DESIGN CENTER, go to directory where
those library drawings are (good idea to keep them in special directory). Now you can view
those blocks and dimstyles. Grab the one you need and drop (or insert - it is up to you) in
the drawing you are working.......
Back to the Top

IF YOU ARE ON NETWORK (by BTN) -sometimes you can't make your castom tolbars, simply
becouse of the right protection of network version of AutoCAD. Atleast it is the case
in our office.... however there is allways way around. In this case create your own small
menu somewhere on your local harddrive with some of your favorite pulldowns.
Unload Autocad and Bonus (Express) menues, and load your manu as main manu - than
attach Autocad and Bonus (or express) menues as you do partial menues.... thats the trick,
now you can create your toolbars as a part of your menu, when done ignore messages
that it cant save it in autocad and bonus menues - it wil save it in your menu and your
toolbars will not be lost.
Back to the Top

MANAGING XREF'S (by BTN)
Managing XREF'S is not easy. It takes a lots of planning if more than one office involved in
the project. In this case it is good idea to keep all XREF's in separate directory. Add this
directory to your PREFFERENCES and DO NOT SAVE THE PATH of XREF'S. AutoCAD
will allways find those XREF'S and you can easely exchange your files between offices.
Back to the Top

DIMMENSION STYLES and FIXED HIGHT FONTS STYLES (by BTN)
If you are using FONTS with fixed hight - you can create some problems for yourself down
the road. Aspecially if you are using assosiative dimmensioning, in that case you will be forced
to create different DIMSTYLE for each scale used in the drawing, and in no time you have
a MESS on your hands. It is not bad if you gave descriptive names for those styles ....
But still , as time passed and different people work on the project, and drawing get passed
back and forward between different offices those drawing become a PROBLEM ones.
The solution is very symple. Create all your font style wit hight set to 0. Create one (or may be
two) DIMSTYLE. In this case AutoCAD will take charge of your assosiative dimmensioning
automatically - depending on your DIMSCALE variable (depending on detail scale) .... NO MESS.
Back to the Top

QUICKLY SNAPPING TO THE MIDDLE BETWEEN ANY TWO OSNAP PINTS. (by Troy Willett)
I found this some where on the Net. I'm amazed how many times I used them.
Quickly Snapping to the Middle Between any Two Osnap Points
I like to be able to snap to the middle between any two entities or snapping
points. By using the calculator and making a few icons, you can easily snap
to the middle between (2) end points, mid points, nearest points, center
points or any combination or (2) snapping points.
I made an icon and called it CEN2CEN.bmp. Then in the macro I used the
command: 'cal;(cen+cen)/2; This enables me to draw a line or dimension or
whatever and my first point is the middle between whatever (2) circles I
select. Again, you can do the same with end points, midpoints, etc. They
should all look the same, and it is easier if you name the bitmap image as
something easily recognizable and then save it to Acad\support\. That way it
is in your direct path and you won't get a smiley face for your icon next
time you open AutoCAD.
Also, when making your macro for the icon, you want to remove the existing
^c^c, that was a default for cancel. That would defeat the purpose of making
this icon. You want it to be transparent like all other osnaps. Again, for
reference, here is another example. I named my icon END2END.bmp for the
following macro to snap to the middle of (2) end points: 'cal;(end+end)/2.
Tip origin: Troy Willett CSI Industrial Systems Corp.
Back to the Top



BACK